BROADCASTERCTL(1)

NAME
broadcasterctl - controller for the QuickTime Broadcaster

SYNOPSIS
broadcasterctl [-b broadcaster-path] [-a audiopreset] [-v videopreset] [-n networkpreset] [-t (audio|video|av)] [-r (record|norecord)] [-p recording-path] [-f settingsfile] (config|status|presets|launch|start|stop|restart|quit)

DESCRIPTION
broadcasterctl is a command line tool for controlling the QuickTime Broadcaster application. Using broadcasterctl you can configure, launch, start, and stop a QuickTime streaming broadcast generated by the MacOS X QuickTime Broadcaster application.

The QuickTime Broadcaster application must be accessable on the local host on which the terminal session is exectuting in order to communicate with that application. (i.e. It will not control a network remote copy of the application.)

OPTIONS

The following command line options can be invoked with broadcasterctl:

config
    Sets the configuration of the QuickTime Broadcaster application to be that of the currently specified settings file.

status
    Returns the current status QuickTime Broadcaster application.

presets
    Sets the presets of the QuickTime Broadcaster application to be that of the currently specified preset values.

launch
    Launches the QuickTime Broadcaster application.

start
    Tells the QuickTime Broadcaster application to begin the broadcast.

stop
    Tells the QuickTime Broadcaster application to stop the broadcast.

restart
    Tells the QuickTime Broadcaster application to restart the broadcast.

quit
    Causes the QuickTime Broadcaster application to quit.

-a audiopreset
    Specifies the the current audio preset configuration to be the name given in the audiopreset parameter.

-b broadcaster-path
    Specifies the file path to the QuickTime Broadcaster application.

-f settingsfile
    Specifies the file path to the broadcast settings file.

-n networkpreset
    Specifies the the current network preset configuration to be the name given in the networkpreset parameter.

-p recording-path
    Specifies the file path to record the broadcast to.

-r (record|norecord)
    Controls whether or not the QuickTime Broadcaster will record the broadcast to a file as it is broadcasting the stream. Specify record to record the broadcast and norecord to do nothing. (The default is the norecord option.)

-t (audio|video|av)
    Specifies the type of broadcast to be originated. Specifiy audio for an audio-only broadcast, video for an video-only broadcast, or av for a combination audio/video broadcast.

-v videopreset
    Specifies the the current video preset configuration to be the name given in the videopreset parameter.

SEE ALSO
QuickTimeStreamingServer(1), ps(1), kill(1)

LIMITATIONS
Only one audio, video, or audio/video session can be controlled per invokation of broadcasterctl.